com.holonplatform.vaadin.flow.components.builders

## Interface DatastoreDataProviderConfigurator.DatastoreDataProviderSelectConfigurator<ITEM,C extends DatastoreDataProviderConfigurator.DatastoreDataProviderSelectConfigurator<ITEM,C>>

- Type Parameters:
    `ITEM` - Item type
    `C` - Concrete configurator type
  All Superinterfaces:
    DatastoreDataProviderConfigurator<ITEM,C>
  All Known Subinterfaces:
    FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputConfigurator<T,C>, FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>, ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputConfigurator<T,C>, ListMultiSelectConfigurator.ValidatableDatastorePropertyListMultiSelectInputBuilder<T>, ListSingleSelectConfigurator.DatastorePropertyListSingleSelectInputBuilder<T>, ListSingleSelectConfigurator.DatastorePropertyListSingleSelectInputConfigurator<T,C>, ListSingleSelectConfigurator.ValidatableDatastorePropertyListSingleSelectInputBuilder<T>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputConfigurator<T,C>, OptionsMultiSelectConfigurator.ValidatableDatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputConfigurator<T,C>, OptionsSingleSelectConfigurator.ValidatableDatastorePropertyOptionsSingleSelectInputBuilder<T>, SingleSelectConfigurator.DatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.DatastorePropertySingleSelectInputConfigurator<T,C>, SingleSelectConfigurator.ValidatableDatastorePropertySingleSelectInputBuilder<T>
  Enclosing interface:
    DatastoreDataProviderConfigurator<ITEM,C extends DatastoreDataProviderConfigurator<ITEM,C>>

      public static interface DatastoreDataProviderConfigurator.DatastoreDataProviderSelectConfigurator<ITEM,C extends DatastoreDataProviderConfigurator.DatastoreDataProviderSelectConfigurator<ITEM,C>>
      extends DatastoreDataProviderConfigurator<ITEM,C>

  DatastoreDataProviderConfigurator for select type input components.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.DatastoreDataProviderConfigurator

      `DatastoreDataProviderConfigurator.DatastoreDataProviderSelectConfigurator<ITEM,C extends DatastoreDataProviderConfigurator.DatastoreDataProviderSelectConfigurator<ITEM,C>>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `additionalItemsProvider(AdditionalItemsProvider<ITEM> additionalItemsProvider)` Configure an additional items provider.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DatastoreDataProviderConfigurator

      `itemIdentifierProvider, querySortOrderConverter, withDefaultQuerySort, withQueryConfigurationProvider, withQueryFilter, withQuerySort`

- - ### Method Detail

    - #### additionalItemsProvider

          C additionalItemsProvider(AdditionalItemsProvider<ITEM> additionalItemsProvider)

      Configure an additional items provider.
      Parameters:
        `additionalItemsProvider` - The additional items provider to set
      Returns:
        this

Copyright © 2020 The Holon Platform. All rights reserved.